Tool: resolve_maps_urls
Resolves a list of Google Maps URLs into canonical Google Maps Place IDs.
When to call this tool (CRITICAL):
- Use this tool when the user provides one or more Google Maps sharing links or URLs (e.g. 'https://maps.app.goo.gl/...', 'https://www.google.com/maps/place/...', or 'https://maps.google.com/...') and you need to extract the underlying canonical Place IDs.
- You can specify up to 20 URLs to resolve in a single batch request.
Input Requirements (CRITICAL):
urls(array of strings - MANDATORY): The list of Google Maps URLs to resolve. Each URL must be a valid, single-place Google Maps URL.
Error Handling (CRITICAL):
- This is a batch processing tool. A request might return "mixed results" (e.g. some URLs resolve successfully while others fail).
- The output list of
entitiesis guaranteed to map 1:1 with the inputurlsindices. A failed URL resolution will result in an emptyEntitymessage (no fields are set) at its corresponding index in theentitieslist. - You MUST check the
failed_requestsmap field in the response to identify which specific URL index failed. The key offailed_requestsrepresents the 0-based index of the failed URL in the request. Do not assume the entire batch call failed because of a partial failure.
The following sample demonstrates how to use curl to invoke the resolve_maps_urls MCP tool.
| Curl Request |
|---|
curl --location 'https://mapstools.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "resolve_maps_urls", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for ResolveMapsUrls.
ResolveMapsUrlsRequest
| JSON representation |
|---|
{ "urls": [ string ] } |
| Fields | |
|---|---|
urls[] |
Required. The Google Maps URLs to be resolved. Each URL should be a valid Google Maps URL, for example, https://maps.app.goo.gl/..., https://www.google.com/maps/place/..., or https://maps.google.com/.... Currently, only URLs pointing to a single place are supported. You may specify up to 20 URLs. |
Output Schema
Response message for ResolveMapsUrls.
ResolveMapsUrlsResponse
| JSON representation |
|---|
{ "entities": [ { object ( |
| Fields | |
|---|---|
entities[] |
Output only. The list of resolved entities from the Google Maps URLs. Guaranteed to map 1:1 with the request |
failedRequests |
Output only. A map communicating partial failures for the Google Maps URLs. The key is the index of the failed request in the An object containing a list of |
Entity
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field entity. The resolved entity type. entity can be only one of the following: |
|
place |
The resource name of the resolved place. |
FailedRequestsEntry
| JSON representation |
|---|
{
"key": integer,
"value": {
object ( |
| Fields | |
|---|---|
key |
|
value |
|
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌